Page MenuHomePhabricator

[clonable] APISite and DataSite method docstrings should include a link to the corresponding mw:API help
Open, NormalPublic

Description

Many APISite and DataSite methods are thin wrappers around a module of the MediaWiki API, and the docstrings for these methods should include a link to the API:<foo> pages on http://mediawiki.org/wiki/API:Main_page

Links should be added using epytext syntax.

Easy CGI Task: Find three APISite or DataSite methods which are a thin wrapper around a module of the MediaWiki API , and add the appropriate link to the docstring.
Either submit one changeset to Gerrit combining all three amendments, or submit three changesets to Gerrit containing only one amended docstring.

Mentors: @jayvdb , @MtDu

Event Timeline

jayvdb created this task.May 27 2015, 3:31 PM
jayvdb raised the priority of this task from to Normal.
jayvdb updated the task description. (Show Details)
jayvdb added subscribers: Unknown Object (MLST), valhallasw, Aklapper, jayvdb.
Restricted Application added a project: Documentation. · View Herald TranscriptMay 27 2015, 3:31 PM
jayvdb set Security to None.
Restricted Application added a project: Documentation. · View Herald TranscriptMay 27 2015, 3:32 PM
jayvdb renamed this task from APISite and DataSite method docstrings should include a link to the corresponding mw:API help to [clonable] APISite and DataSite method docstrings should include a link to the corresponding mw:API help.Nov 11 2015, 10:16 PM
jayvdb updated the task description. (Show Details)
jayvdb added a project: Google-Code-In-2015.
jayvdb added a project: Pywikibot.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 13 2017, 9:39 PM
jayvdb updated the task description. (Show Details)Jan 4 2018, 3:59 AM
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: MtDu.
Dvorapa added a subscriber: Dvorapa.

@Dvorapa: Do you plan to mentor this task? If so feel free to create it on the GCI site. :)

Yes, I'll find some spare time and make GCI tasks for this

@Dvorapa: You have two more weeks for Google-Code-in-2018, if you still plan to. :)

Change 497132 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[pywikibot/core@master] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/497132

Change 497132 merged by jenkins-bot:
[pywikibot/core@master] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/497132

Change 498065 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[pywikibot/core@master] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/498065

Change 498095 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[pywikibot/core@master] [IMPR] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/498095

Change 498065 abandoned by Nikitrain:
[IMPR] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/498065

Change 498095 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/498095

Change 498977 had a related patch set uploaded (by Didicodes; owner: Didicodes):
[pywikibot/core@master] Add corresponding API page links to APISite method docstrings

https://gerrit.wikimedia.org/r/498977

Change 498977 abandoned by Xqt:
[IMPR] Add corresponding API page links to APISite method docstrings

Reason:
Not applicable for scripts

https://gerrit.wikimedia.org/r/498977